import * as React from 'react';
import { useEffect, useState } from 'react';
import * as PropTypes from 'prop-types';
import mapboxgl from '../utils/mapboxgl';
import useMapControl, { mapControlDefaultProps, mapControlPropTypes } from './use-map-control';
const propTypes = Object.assign({}, mapControlPropTypes, {
  maxWidth: PropTypes.number,
  unit: PropTypes.oneOf(['imperial', 'metric', 'nautical'])
});
const defaultProps = Object.assign({}, mapControlDefaultProps, {
  maxWidth: 100,
  unit: 'metric'
});

function ScaleControl(props) {
  const {
    context,
    containerRef
  } = useMapControl(props);
  const [mapboxScaleControl, createMapboxScaleControl] = useState(null);
  useEffect(() => {
    if (context.map) {
      const control = new mapboxgl.ScaleControl();
      control._map = context.map;
      control._container = containerRef.current;
      createMapboxScaleControl(control);
    }
  }, [context.map]);

  if (mapboxScaleControl) {
    mapboxScaleControl.options = props;

    mapboxScaleControl._onMove();
  }

  return React.createElement("div", {
    ref: containerRef,
    className: "mapboxgl-ctrl mapboxgl-ctrl-scale"
  });
}

ScaleControl.propTypes = propTypes;
ScaleControl.defaultProps = defaultProps;
export default ScaleControl;
//# sourceMappingURL=scale-control.js.map